Saltar al contenido principal
POST
/
api
/
v1
/
webhooks
/
configure
Configurar webhook
curl --request POST \
  --url https://api.example.com/api/v1/webhooks/configure \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>"
}
'

Configurar webhook

Establece o actualiza tu URL de webhook. Solo una URL por cuenta.

Cuerpo de la solicitud

url
string
requerido
URL de webhook HTTPS

Ejemplo

curl -X POST https://api.tronrental.com/v1/webhooks/configure \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://yourserver.com/webhook/tronrental"}'
Response
{
  "url": "https://yourserver.com/webhook/tronrental",
  "secret": "whsec_abc123...",
  "active": true,
  "created_at": "2026-03-05T12:00:00Z"
}
Para eliminar el webhook, envia una URL vacia o eliminalo desde el panel de control.